Module java.desktop
Package java.beans.beancontext

# Interface BeanContextServicesListener

All Superinterfaces:
  `BeanContextServiceRevokedListener`, `EventListener`

All Known Subinterfaces:
  `BeanContextServices`

All Known Implementing Classes:
  `BeanContextChildSupport`, `BeanContextServicesSupport`, `BeanContextSupport`

public interface BeanContextServicesListener extends BeanContextServiceRevokedListener
The listener interface for receiving `BeanContextServiceAvailableEvent` objects. A class that is interested in processing a `BeanContextServiceAvailableEvent` implements this interface.

## Method Summary

Modifier and Type
Method
Description
`void`
`serviceAvailable​(BeanContextServiceAvailableEvent bcsae)`
The service named has been registered. getService requests for this service may now be made.

### Methods declared in interface java.beans.beancontext.BeanContextServiceRevokedListener

`serviceRevoked`

## Method Details

### serviceAvailable

void serviceAvailable​(BeanContextServiceAvailableEvent bcsae)
The service named has been registered. getService requests for this service may now be made.

Parameters:
  `bcsae` - the `BeanContextServiceAvailableEvent`